%define module	Jcode
%define name	perl-%{module}
%define version	0.86
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Japanese Charset Handle
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	perl-devel

%description
Jcode.pm supports both object and traditional approach. With object approach,
you can go like;

$iso_2022_jp = Jcode->new($str)->h2z->jis;

Which is more elegant than;
 
$iso_2022_jp = &jcode::convert(\$str,'jis',jcode::getcode(\str), "z");

For those unfamiliar with objects, Jcode.pm still supports getcode() and
convert().

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/*.pl

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README INSTALL Changes
%{perl_vendorarch}/Jcode
%{perl_vendorarch}/Jcode.pm
%{perl_vendorarch}/auto/Jcode
%{_mandir}/*/*

%changelog
* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.86-2mdk 
- rebuild for new perl

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.86-1mdk
- 0.86

* Tue Dec 09 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.83-1mdk
- first mdk release
